Index: /extensions/PiwigoLib/PiwigoLib/DTO/PwgAlbum.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoLib/DTO/PwgAlbum.cs	(revision 12336)
+++ /extensions/PiwigoLib/PiwigoLib/DTO/PwgAlbum.cs	(revision 12336)
@@ -0,0 +1,21 @@
+﻿using System;
+using System.Collections.Generic;
+
+
+namespace Com.Piwigo.Lib.DTO
+{
+
+    public class PwgAlbum
+    {
+        public static Int32 RootAlbumId = 0;
+
+        public Int32        Id { get; set; }
+        public List<Int32>  UpperAlbumsId { get; set; }
+        public String       Name { get; set; }
+        public Uri          Url { get; set; }
+        public Int64        ImagesCount { get; set; }
+        public Int64        DeepImagesCount { get; set; }
+        public Int64        SubAlbumsCount { get; set; }
+        public DateTime     LastDate { get; set; }
+    }
+}
Index: /extensions/PiwigoLib/PiwigoLib/DTO/PwgAlbumPhotoDeletionModeEnum.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoLib/DTO/PwgAlbumPhotoDeletionModeEnum.cs	(revision 12336)
+++ /extensions/PiwigoLib/PiwigoLib/DTO/PwgAlbumPhotoDeletionModeEnum.cs	(revision 12336)
@@ -0,0 +1,21 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Xml.Serialization;
+
+
+namespace Com.Piwigo.Lib.DTO
+{
+    [Serializable()]
+    [XmlRoot(ElementName = "PwgSessionStatusEnum")]
+    public enum PwgAlbumPhotoDeletionModeEnum : int
+    {
+        [XmlEnum("unknow")]
+        Unknow = 0,
+        [XmlEnum("none")]
+        None = 1,
+        [XmlEnum("orphan-only")]
+        OrphansOnly = 2,
+        [XmlEnum("all")]
+        all = 3
+    }
+}
Index: /extensions/PiwigoLib/PiwigoLib/DTO/PwgImage.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoLib/DTO/PwgImage.cs	(revision 12335)
+++ /extensions/PiwigoLib/PiwigoLib/DTO/PwgImage.cs	(revision 12336)
@@ -21,5 +21,5 @@
         public List<PwgTag> Tags { get; set; }
 
-        public List<PwgCategory> Categories { get; set; }
+        public List<PwgAlbum> Albums { get; set; }
     }
 
Index: /extensions/PiwigoLib/PiwigoLib/IService/IPwgAlbumsService.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoLib/IService/IPwgAlbumsService.cs	(revision 12336)
+++ /extensions/PiwigoLib/PiwigoLib/IService/IPwgAlbumsService.cs	(revision 12336)
@@ -0,0 +1,14 @@
+﻿using System;
+namespace Com.Piwigo.Lib.IService
+{
+    public interface IPwgAlbumsService
+    {
+        Boolean AddAlbum(String AlbumName, Int32? upperCatId, ref Int32 newId, ref String messageInfo);
+        System.Collections.Generic.List<Com.Piwigo.Lib.DTO.PwgAlbum> GetAdminListOfAlbum();
+        System.Collections.Generic.List<Com.Piwigo.Lib.DTO.PwgAlbum> GetListOfAlbum(Int32? CatgeroryId, Boolean? Recursive, Boolean? PublicOnly);
+        System.Collections.Generic.List<Com.Piwigo.Lib.DTO.PwgImage> GetListOfImagesFormAlbum(Int32 AlbumId, Boolean? recursive, Int32? perPage, Int32? Page, Int32? Order, Int32? minRate, Int32? maxRate, Int32? minHit, Int32? maxHit, DateTime? minDateAvailable, DateTime? maxDateAvailable, DateTime? minDateCreated, DateTime? maxDateCreated, Int32? minRatio, Int32? maxRatio, Boolean? withThumbnail, ref Int32 PageReturned, ref Int32 PerPageeReturned, ref Int32 CountReturned);
+        Boolean UpdateAlbumInfo(Int32 IdCat, String AlbumName, String AlbumComment);
+        Boolean DeleteAlbum(Int32 AlbumId, String SecurityToken, Com.Piwigo.Lib.DTO.PwgAlbumPhotoDeletionModeEnum PhotoDeletionMode);
+        Boolean MoveAlbum(System.Collections.Generic.List<Int32> AlbumsId, Int32 parentAlbumId, String SecurityToken);
+    }
+}
Index: /extensions/PiwigoLib/PiwigoLib/IService/IPwgImagesService.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoLib/IService/IPwgImagesService.cs	(revision 12335)
+++ /extensions/PiwigoLib/PiwigoLib/IService/IPwgImagesService.cs	(revision 12336)
@@ -6,9 +6,9 @@
     {
         Com.Piwigo.Lib.DTO.PwgImageRate RateImage(Int32 imageId, Int32 imageRate);
-        Com.Piwigo.Lib.DTO.PwgImageAdded addImageByMultiPartForm(System.IO.FileInfo fileImage, Int32? imageId, Int32? categoryId, String imageName, String imageAuthor, String imageComment, Int32? imageLevel, System.Collections.Generic.List<Com.Piwigo.Lib.DTO.PwgTag> imageTags);
+        Com.Piwigo.Lib.DTO.PwgImageAdded addImageByMultiPartForm(System.IO.FileInfo fileImage, Int32? imageId, Int32? AlbumId, String imageName, String imageAuthor, String imageComment, Com.Piwigo.Lib.DTO.PwgConfidentLevelEnum? imageLevel, System.Collections.Generic.List<Com.Piwigo.Lib.DTO.PwgTag> imageTags);
         Boolean DeleteImage(Int32 imageId, String SecurityToken);
         Com.Piwigo.Lib.DTO.PwgImageInfo getImageInfo(Int32 imageId, Int32? commentPage, Int32? commentsPerPage);
         Boolean addImage(System.IO.FileInfo highResFile, System.IO.FileInfo lowResFile, System.IO.FileInfo thumbFile, String imageName, String imageAuthor, DateTime creationDate,
-            String authorComment, System.Collections.Generic.List<String> lstCategories, System.Collections.Generic.List<String> lstTags, Com.Piwigo.Lib.DTO.PwgConfidentLevelEnum? confidentLevel);
+            String authorComment, System.Collections.Generic.List<String> lstAlbums, System.Collections.Generic.List<String> lstTags, Com.Piwigo.Lib.DTO.PwgConfidentLevelEnum? confidentLevel);
     }
 }
Index: /extensions/PiwigoLib/PiwigoLib/IService/PwgServiceProvider.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoLib/IService/PwgServiceProvider.cs	(revision 12335)
+++ /extensions/PiwigoLib/PiwigoLib/IService/PwgServiceProvider.cs	(revision 12336)
@@ -27,14 +27,14 @@
             public class PwgServiceProviderBase
             {
-                private IPwgCategoriesService _pwgCategoriesService;
-                public IPwgCategoriesService PwgCategoriesService
+                private IPwgAlbumsService _pwgAlbumsService;
+                public IPwgAlbumsService PwgAlbumsService
                 {
                     get
                     {
-                        if (_pwgCategoriesService == null)
+                        if (_pwgAlbumsService == null)
                         {
-                            _pwgCategoriesService = new PwgCategoriesService();
+                            _pwgAlbumsService = new PwgAlbumsService();
                         }
-                        return _pwgCategoriesService;
+                        return _pwgAlbumsService;
                     }
                 }
Index: /extensions/PiwigoLib/PiwigoLib/PiwigoLib.csproj
===================================================================
--- /extensions/PiwigoLib/PiwigoLib/PiwigoLib.csproj	(revision 12335)
+++ /extensions/PiwigoLib/PiwigoLib/PiwigoLib.csproj	(revision 12336)
@@ -51,8 +51,8 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="DTO\PwgCategory.cs" />
+    <Compile Include="DTO\PwgAlbum.cs" />
     <Compile Include="DTO\PwgConfidentLevelEnum.cs" />
     <Compile Include="DTO\PwgFileTypeEnum.cs" />
-    <Compile Include="DTO\PwgCategoryPhotoDeletionModeEnum.cs" />
+    <Compile Include="DTO\PwgAlbumPhotoDeletionModeEnum.cs" />
     <Compile Include="DTO\PwgImage.cs" />
     <Compile Include="DTO\Helper\PwgEnumHelper.cs" />
@@ -63,9 +63,9 @@
     <Compile Include="Proxy\Helper\PwgBase64Helper.cs" />
     <Compile Include="Proxy\PwgImagesProxy.cs" />
-    <Compile Include="Proxy\PwgCategoriesProxy.cs" />
+    <Compile Include="Proxy\PwgAlbumsProxy.cs" />
     <Compile Include="Proxy\Helper\PwgProxyReponseHelper.cs" />
     <Compile Include="Proxy\PwgTagsProxy.cs" />
     <Compile Include="Proxy\Response\PwgAddRequestProxyResponse.cs" />
-    <Compile Include="Proxy\Response\PwgCategoriesProxyResponse.cs" />
+    <Compile Include="Proxy\Response\PwgAlbumProxyResponse.cs" />
     <Compile Include="Proxy\Response\PwgImagesProxyResponse.cs" />
     <Compile Include="Proxy\Response\PwgSessionProxyResponse.cs" />
@@ -77,5 +77,5 @@
     <Compile Include="Proxy\PwgProxyException.cs" />
     <Compile Include="Proxy\PwgSessionProxy.cs" />
-    <Compile Include="IService\IPwgCategoriesService.cs" />
+    <Compile Include="IService\IPwgAlbumsService.cs" />
     <Compile Include="IService\IPwgImagesService.cs" />
     <Compile Include="IService\IPwgSessionService.cs" />
@@ -84,5 +84,5 @@
     <Compile Include="Service\PwgSetupService.cs" />
     <Compile Include="IService\PwgServiceProvider.cs" />
-    <Compile Include="Service\PwgCategoriesService.cs" />
+    <Compile Include="Service\PwgAlbumsService.cs" />
     <Compile Include="Service\PwgImagesService.cs" />
     <Compile Include="Service\PwgTagsService.cs" />
Index: /extensions/PiwigoLib/PiwigoLib/Proxy/PwgAlbumsProxy.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoLib/Proxy/PwgAlbumsProxy.cs	(revision 12336)
+++ /extensions/PiwigoLib/PiwigoLib/Proxy/PwgAlbumsProxy.cs	(revision 12336)
@@ -0,0 +1,273 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Text;
+
+using Com.Piwigo.Lib.DTO;
+using System.Web;
+using Com.Piwigo.Lib.Proxy.Response;
+using Com.Piwigo.Lib.Proxy.Helper;
+
+namespace Com.Piwigo.Lib.Proxy
+{
+    /// <summary>
+    /// pwg.categories.add              pwg_albums_add
+    /// pwg.categories.delete           pwg_albums_delete
+    /// pwg.categories.getAdminList     pwg_albums_getAdminList
+    /// pwg.categories.getImages        pwg_albums_getImages
+    /// pwg.categories.getList          pwg_albums_getList
+    /// pwg.categories.move             pwg_albums_move
+    /// pwg.categories.setInfo          pwg_albums_setInfo
+    /// </summary>
+    static internal class PwgAlbumsProxy
+    {
+        /// <summary>
+        /// pwg.Albums.getList
+        /// </summary>
+        /// <param name="AlbumId"></param>
+        /// <param name="Recursive"></param>
+        /// <param name="PublicOnly"></param>
+        /// <returns></returns>
+        static internal PwgAlbumsProxyResponse pwg_albums_getList(Int32? AlbumId, 
+            Boolean? Recursive, Boolean? PublicOnly)
+        {
+            PwgAlbumsProxyResponse response = null;
+            try
+            {
+                StringBuilder data = new StringBuilder();
+                Boolean firstOcc = true;
+
+                PwgProxyReponseHelper.buildQueryFromValue<Int32>(AlbumId, "cat_id", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromValue<Boolean>(Recursive, "recursive", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromValue<Boolean>(PublicOnly, "public", ref firstOcc, data);
+
+                response = PwgGenericProxy<PwgAlbumsProxyResponse>.Get(
+                                PwgConfigProxy.PwgServeurUri,
+                                "pwg.categories.getList", data.ToString());
+            }
+            catch (Exception ex)
+            {
+                throw new PwgProxyException("pwg_albums_getList", ex);
+            }
+            return response;
+
+        }
+
+        /// <summary>
+        /// pwg.Albums.getAdminList
+        /// </summary>
+        /// <returns></returns>
+        static internal PwgAlbumsProxyResponse pwg_albums_getAdminList()
+        {
+            PwgAlbumsProxyResponse response = null;
+            try
+            {
+                response = PwgGenericProxy<PwgAlbumsProxyResponse>.Get(
+                                PwgConfigProxy.PwgServeurUri,
+                                "pwg.categories.getAdminList", null);
+            }
+            catch (Exception ex)
+            {
+                throw new PwgProxyException("pwg_albums_getAdminList", ex);
+            }
+            return response;
+
+        }
+
+        /// <summary>
+        /// pwg.Albums.add
+        /// </summary>
+        /// <param name="AlbumName"></param>
+        /// <param name="IdUpperCat"></param>
+        /// <returns></returns>
+        static internal PwgAddRequestProxyResponse pwg_albums_add(String AlbumName, Int32? IdUpperCat)
+        {
+            PwgAddRequestProxyResponse response = null;
+            try
+            {
+                StringBuilder data = new StringBuilder();
+                data.Append("method=pwg.categories.add");
+                Boolean firstOcc = false;
+                PwgProxyReponseHelper.buildQueryFromValue<String>(AlbumName, "name", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromValue<Int32>(IdUpperCat, "parent", ref firstOcc, data);
+
+                response = PwgGenericProxy<PwgAddRequestProxyResponse>.Post(
+                    PwgConfigProxy.PwgServeurUri,
+                    data.ToString());
+            }
+            catch (Exception ex)
+            {
+                throw new PwgProxyException("pwg_albums_add", ex);
+            }
+
+            return response;
+        }
+
+        /// <summary>
+        /// pwg.Albums.setInfo
+        /// </summary>
+        /// <param name="IdCat"></param>
+        /// <param name="AlbumName"></param>
+        /// <param name="AlbumComment"></param>
+        /// <returns></returns>
+        static internal PwgBaseProxyReponse pwg_albums_setInfo(Int32 IdCat, String AlbumName, String AlbumComment)
+        {
+            PwgBaseProxyReponse response = null;
+            try
+            {
+                StringBuilder data = new StringBuilder();
+                data.Append("method=pwg.categories.setInfo");
+                Boolean firstOcc = false;
+                PwgProxyReponseHelper.buildQueryFromValue<Int32>(IdCat, "category_id", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromValue<String>(AlbumName, "name", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromValue<String>(AlbumComment, "comment", ref firstOcc, data);
+
+                response = PwgGenericProxy<PwgAddRequestProxyResponse>.Post(
+                    PwgConfigProxy.PwgServeurUri,
+                    data.ToString());
+            }
+            catch (Exception ex)
+            {
+                throw new PwgProxyException("pwg_albums_setInfo", ex);
+            }
+
+            return response;
+        }
+
+        /// <summary>
+        /// pwg.Albums.getImages
+        /// </summary>
+        /// <param name="catId"></param>
+        /// <param name="recursive"></param>
+        /// <param name="perPage"></param>
+        /// <param name="Page"></param>
+        /// <param name="Order"></param>
+        /// <param name="minRate"></param>
+        /// <param name="maxRate"></param>
+        /// <param name="minHit"></param>
+        /// <param name="maxHit"></param>
+        /// <param name="minDateAvailable"></param>
+        /// <param name="maxDateAvailable"></param>
+        /// <param name="minDateCreated"></param>
+        /// <param name="maxDateCreated"></param>
+        /// <param name="minRatio"></param>
+        /// <param name="maxRatio"></param>
+        /// <param name="withThumbnail"></param>
+        /// <returns></returns>
+        static internal PwgImagesProxyResponse pwg_albums_getImages(Int32 catId,
+                                                            Boolean? recursive,
+                                                            Int32? perPage,
+                                                            Int32? Page,
+                                                            Int32? Order,
+                                                            Int32? minRate,
+                                                            Int32? maxRate,
+                                                            Int32? minHit,
+                                                            Int32? maxHit,
+                                                            DateTime? minDateAvailable,
+                                                            DateTime? maxDateAvailable,
+                                                            DateTime? minDateCreated,
+                                                            DateTime? maxDateCreated,
+                                                            Int32? minRatio,
+                                                            Int32? maxRatio,
+                                                            Boolean? withThumbnail)
+        {
+            PwgImagesProxyResponse response = null;
+            try
+            {
+                StringBuilder data = new StringBuilder();
+                Boolean firstOcc = true;
+                data.AppendFormat("method={0}", "pwg.categories.getImages");
+                firstOcc = false;
+                PwgProxyReponseHelper.buildQueryFromValue<Int32>(catId, "cat_id", ref firstOcc, data);
+
+                PwgProxyReponseHelper.buildQueryFromValue<Boolean>(recursive, "recursive", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromValue<Int32>(perPage, "per_page", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromValue<Int32>(Page, "page", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromValue<Int32>(Order, "order", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromValue<Int32>(minRate, "f_min_rate", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromValue<Int32>(maxRate, "f_max_rate", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromValue<Int32>(minHit, "f_min_hit", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromValue<Int32>(maxHit, "f_max_hit", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromValue<DateTime>(minDateAvailable, "f_min_date_available", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromValue<DateTime>(maxDateAvailable, "f_max_date_available", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromValue<DateTime>(minDateCreated, "f_min_date_created", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromValue<DateTime>(maxDateCreated, "f_max_date_created", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromValue<Int32>(minRatio, "f_min_ratio", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromValue<Int32>(maxRatio, "f_max_ratio", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromValue<Boolean>(withThumbnail, "f_with_thumbnail", ref firstOcc, data);
+
+                response = PwgGenericProxy<PwgImagesProxyResponse>.Post(
+                                PwgConfigProxy.PwgServeurUri,
+                                data.ToString());
+            }
+            catch (Exception ex)
+            {
+                throw new PwgProxyException("pwg_albums_getImages", ex);
+            }
+            return response;
+
+        }
+
+        /// <summary>
+        /// pwg.Albums.delete
+        /// </summary>
+        /// <param name="AlbumsId"></param>
+        /// <param name="SecurityToken"></param>
+        /// <param name="PhotoDeletionMode"></param>
+        /// <returns></returns>
+        static internal PwgBaseProxyReponse pwg_albums_delete(Int32 AlbumId,
+                                                                  String SecurityToken,
+                                                                  PwgAlbumPhotoDeletionModeEnum PhotoDeletionMode)
+        {
+            PwgBaseProxyReponse response = null;
+            try
+            {
+                StringBuilder data = new StringBuilder();
+                Boolean firstOcc = true;
+                data.Append("method=pwg.categories.delete");
+                firstOcc = false;
+                PwgProxyReponseHelper.buildQueryFromValue<Int32>(AlbumId, "category_id", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromValue<String>(SecurityToken, "pwg_token", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromValue<PwgAlbumPhotoDeletionModeEnum>(PhotoDeletionMode, "photo_deletion_mode", ref firstOcc, data);
+
+                response = PwgGenericProxy<PwgBaseProxyReponse>.Post(
+                                PwgConfigProxy.PwgServeurUri,
+                                data.ToString());
+            }
+            catch (Exception ex)
+            {
+                throw new PwgProxyException("pwg_albums_delete", ex);
+            }
+
+            return response;
+        }
+
+        static internal PwgBaseProxyReponse pwg_albums_move(List<Int32> AlbumsId,
+                                                                Int32 ParentAlbumId,
+                                                                String SecurityToken)
+        {
+            PwgBaseProxyReponse response = null;
+            try
+            {
+                StringBuilder data = new StringBuilder();
+                Boolean firstOcc = true;
+                data.Append("method=pwg.categories.move");
+                firstOcc = false;
+                PwgProxyReponseHelper.buildQueryFromArray<Int32>(AlbumsId, "category_id", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromValue<Int32>(ParentAlbumId, "parent", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromValue<String>(SecurityToken, "pwg_token", ref firstOcc, data);
+
+                response = PwgGenericProxy<PwgBaseProxyReponse>.Post(
+                                PwgConfigProxy.PwgServeurUri,
+                                data.ToString());
+            }
+            catch (Exception ex)
+            {
+                throw new PwgProxyException("pwg_albums_delete", ex);
+            }
+
+            return response;
+        }
+    }
+
+}
+
Index: /extensions/PiwigoLib/PiwigoLib/Proxy/PwgImagesProxy.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoLib/Proxy/PwgImagesProxy.cs	(revision 12335)
+++ /extensions/PiwigoLib/PiwigoLib/Proxy/PwgImagesProxy.cs	(revision 12336)
@@ -34,5 +34,5 @@
         static internal PwgBaseProxyReponse pwg_images_add(String fileMd5sum, String thunbMd5sum, String HighresMd5sum, 
             String imageMd5sum,  String imageFilename, String imageName, String imageAuthor, DateTime creationDate,  
-            String authorComment,List<String> lstCategories, List<String> lstTags, PwgConfidentLevelEnum? confidentLevel)
+            String authorComment,List<String> lstAlbums, List<String> lstTags, PwgConfidentLevelEnum? confidentLevel)
         {
             PwgBaseProxyReponse response = null;
@@ -50,5 +50,5 @@
                 PwgProxyReponseHelper.buildQueryFromValue<String>(imageAuthor, "author", ref firstOcc, data);
                 PwgProxyReponseHelper.buildQueryFromValue<String>(authorComment, "comment", ref firstOcc, data);
-                PwgProxyReponseHelper.buildQueryFromArray<String>(lstCategories, "categories", ref firstOcc, data);
+                PwgProxyReponseHelper.buildQueryFromArray<String>(lstAlbums, "categories", ref firstOcc, data);
                 PwgProxyReponseHelper.buildQueryFromArray<String>(lstTags, "tag_ids", ref firstOcc, data);
                 PwgProxyReponseHelper.buildQueryFromValue<Int32>((int?)confidentLevel, "level", ref firstOcc, data);
@@ -136,5 +136,5 @@
         /// <param name="fileImage"></param>
         /// <param name="imageId"></param>
-        /// <param name="categoryId"></param>
+        /// <param name="AlbumId"></param>
         /// <param name="imageName"></param>
         /// <param name="imageAuthor"></param>
@@ -143,5 +143,5 @@
         /// <param name="imageTags"></param>
         /// <returns></returns>
-        static internal PwgAddSimpleImageProxyResponse pwg_images_addSimple(FileInfo fileImage, Int32? imageId, Int32? categoryId, String imageName, String imageAuthor, String imageComment, Int32? imageLevel, List<PwgTag> imageTags)
+        static internal PwgAddSimpleImageProxyResponse pwg_images_addSimple(FileInfo fileImage, Int32? imageId, Int32? AlbumId, String imageName, String imageAuthor, String imageComment, Int32? imageLevel, List<PwgTag> imageTags)
         {
             PwgAddSimpleImageProxyResponse response = null;
@@ -155,5 +155,5 @@
                 dcFields.Add("method", "pwg.images.addSimple");
                 PwgProxyReponseHelper.buildDicFieldFromValue<Int32>(imageId, "image_id", ref dcFields);
-                PwgProxyReponseHelper.buildDicFieldFromValue<Int32>(categoryId, "category", ref dcFields);
+                PwgProxyReponseHelper.buildDicFieldFromValue<Int32>(AlbumId, "category", ref dcFields);
                 PwgProxyReponseHelper.buildDicFieldFromValue<Int32>(imageLevel, "level", ref dcFields);
                 PwgProxyReponseHelper.buildDicFieldFromValue<String>(imageName, "name", ref dcFields);
Index: /extensions/PiwigoLib/PiwigoLib/Proxy/Response/PwgAlbumProxyResponse.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoLib/Proxy/Response/PwgAlbumProxyResponse.cs	(revision 12336)
+++ /extensions/PiwigoLib/PiwigoLib/Proxy/Response/PwgAlbumProxyResponse.cs	(revision 12336)
@@ -0,0 +1,75 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Xml.Serialization;
+using Com.Piwigo.Lib.DTO;
+
+namespace Com.Piwigo.Lib.Proxy.Response
+{
+    //todo : admin list deifferent !!!!
+//    <rsp stat="ok">
+//<Albums>
+//    <Album id="1" nb_images="34" total_nb_images="34" date_last="2011-04-12 00:39:03" max_date_last="2011-04-12 00:39:03" nb_Albums="1" url="http://photo.bayral.fr/index.php?/Album/1">
+//        <name>2011 01 02 Dimanche au Ski</name>
+//        <uppercats>1</uppercats>
+//        <global_rank>1</global_rank>
+//        <comment></comment></Album>
+//    <Album id="12" nb_images="0" total_nb_images="0" nb_Albums="0" url="http://photo.bayral.fr/index.php?/Album/12">
+//        <name>test</name>
+//        <uppercats>1,12</uppercats>
+//        <global_rank>1.1</global_rank>
+//        <id_uppercat>1</id_uppercat>
+//        <comment></comment></Album>
+//    <Album id="2" nb_images="8" total_nb_images="8" date_last="2011-04-12 00:52:41" max_date_last="2011-04-12 00:52:41" nb_Albums="0" url="http://photo.bayral.fr/index.php?/Album/2">
+//        <name>2010 12 Photos Noé Loic</name>
+//        <uppercats>2</uppercats>
+//        <global_rank>2</global_rank>
+//        <comment></comment></Album>
+//    <Album id="3" nb_images="99" total_nb_images="99" date_last="2011-04-12 23:59:28" max_date_last="2011-04-12 23:59:28" nb_Albums="0" url="http://photo.bayral.fr/index.php?/Album/3">
+//        <name>2010 12 24-25 Noel</name>
+//        <uppercats>3</uppercats>
+//        <global_rank>3</global_rank>
+//        <comment></comment></Album>
+//    <Album id="5" nb_images="14" total_nb_images="14" date_last="2011-04-13 00:13:06" max_date_last="2011-04-13 00:13:06" nb_Albums="0" url="http://photo.bayral.fr/index.php?/Album/5">
+//        <name>2010 11 Photos Noé Loic</name>
+//        <uppercats>5</uppercats>
+//        <global_rank>4</global_rank>
+//        <comment></comment></Album>
+//    <Album id="6" nb_images="45" total_nb_images="45" date_last="2011-04-13 22:59:49" max_date_last="2011-04-13 22:59:49" nb_Albums="0" url="http://photo.bayral.fr/index.php?/Album/6">
+//        <name>2010 11 23 28 aniversaire Noé 4 ans Famille</name>
+//        <uppercats>6</uppercats>
+//        <global_rank>5</global_rank>
+//        <comment></comment></Album></Albums>
+//</rsp>
+    [Serializable()]
+    [XmlRoot(ElementName = "category")]
+    public class PwgAlbumProxyResponse
+    {
+        [XmlAttribute(AttributeName = "id")]
+        public Int32 Id { get; set; }
+        [XmlElement(ElementName = "uppercats")]
+        public String UpperAlbumId { get; set; }
+        [XmlElement (ElementName = "name")]
+        public String Name { get; set; }
+        [XmlAttribute(AttributeName = "url")]
+        public String Url { get; set; }
+        [XmlAttribute(AttributeName = "nb_images")]
+        public Int64 ImagesCount { get; set; }
+        [XmlAttribute(AttributeName = "total_nb_images")]
+        public Int64 DeepImagesCount { get; set; }
+        [XmlAttribute(AttributeName = "nb_Albums")]
+        public Int64 SubAlbumsCount { get; set; }
+        [XmlAttribute(AttributeName = "max_date_last")]
+        public String LastDate { get; set; }
+    }
+
+    [Serializable()]
+    [XmlRoot(ElementName = "rsp")]
+    public class PwgAlbumsProxyResponse : PwgBaseProxyReponse
+    {
+        [XmlArray("categories")]
+        [XmlArrayItem("category")]
+        public PwgAlbumProxyResponse[] Albums { get; set; }
+    }
+}
Index: /extensions/PiwigoLib/PiwigoLib/Proxy/Response/PwgImagesProxyResponse.cs
===================================================================
--- /extensions/PiwigoLib/PiwigoLib/Proxy/Response/PwgImagesProxyResponse.cs	(revision 12335)
+++ /extensions/PiwigoLib/PiwigoLib/Proxy/Response/PwgImagesProxyResponse.cs	(revision 12336)
@@ -32,5 +32,5 @@
 
     [Serializable()]
-    [XmlRoot(ElementName = "categorie")]
+    [XmlRoot(ElementName = "category")]
     public class PwgImageProxyResponse 
     {
@@ -62,5 +62,5 @@
         [XmlArray("categories")]
         [XmlArrayItem("category")]
-        public PwgCategoryProxyResponse[] Categories { get; set; }
+        public PwgAlbumProxyResponse[] Albums { get; set; }
     }
 
